Bug 1670376

Summary: Reset locale if not available
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: bcotton, mhroncok, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-30 15:49:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1687508, 1695562    
Bug Blocks:    

Description Ben Cotton 2019-01-29 12:39:57 UTC
This is a tracking bug for Change: Reset locale if not available
For more details, see: https://fedoraproject.org/wiki/Changes/Reset-locale-if-not-available

When logging in over ssh or another mechanism, locale settings are forwarded. If the destination does not support that locale, C.UTF-8 will be used instead.

Comment 1 Ben Cotton 2019-02-19 20:30:16 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Ben Cotton 2019-03-05 21:49:51 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.

Comment 3 Miro Hrončok 2019-03-08 17:47:10 UTC
I see the change in https://pagure.io/setup/commits/master but not in https://src.fedoraproject.org/rpms/setup/commits/master so I assume this was not done yet.

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-03-09 08:57:06 UTC
Yep, it's as Miro said. I hope this can still go in in F30, but right now it's delayed.